{"openapi":"3.0.4","info":{"title":"293RIS","version":"1.0"},"paths":{"/api/v1/part":{"get":{"tags":["PartProcessData"],"operationId":"GetPartsProcessData","parameters":[{"name":"pageNumber","in":"query","schema":{"type":"integer","format":"int32","default":1}},{"name":"pageSize","in":"query","schema":{"type":"integer","format":"int32","default":10}},{"name":"startedFrom","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"startedTo","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"orderDescBySerialNumber","in":"query","schema":{"type":"boolean","default":true}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/PartsProcessDataDTO"}},"application/json":{"schema":{"$ref":"#/components/schemas/PartsProcessDataDTO"}},"text/json":{"schema":{"$ref":"#/components/schemas/PartsProcessDataDTO"}}}}}}},"/api/v1/part/{partId}":{"get":{"tags":["PartProcessData"],"operationId":"GetPartProcessData","parameters":[{"name":"partId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/PartAllProcessDataDTO"}},"application/json":{"schema":{"$ref":"#/components/schemas/PartAllProcessDataDTO"}},"text/json":{"schema":{"$ref":"#/components/schemas/PartAllProcessDataDTO"}}}}}}},"/api/v1/station":{"get":{"tags":["StationStatus"],"operationId":"GetStationsStatus","responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StationStatusDTO"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StationStatusDTO"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StationStatusDTO"}}}}}}}},"/api/v1/station/{stationId}":{"get":{"tags":["StationStatus"],"operationId":"GetStationStatus","parameters":[{"name":"stationId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/StationStatusDTO"}},"application/json":{"schema":{"$ref":"#/components/schemas/StationStatusDTO"}},"text/json":{"schema":{"$ref":"#/components/schemas/StationStatusDTO"}}}}}}},"/api/v1/stats":{"get":{"tags":["Statistics"],"operationId":"GetStatistics","parameters":[{"name":"startedFrom","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"startedTo","in":"query","schema":{"type":"string","format":"date-time"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/StationStatisticsDTO"}},"application/json":{"schema":{"$ref":"#/components/schemas/StationStatisticsDTO"}},"text/json":{"schema":{"$ref":"#/components/schemas/StationStatisticsDTO"}}}}}}}},"components":{"schemas":{"CameraCheckDTO":{"required":["holeStatus","serialNumber","timestamp"],"type":"object","properties":{"id":{"type":"integer","format":"int32"},"serialNumber":{"type":"string","nullable":true},"timestamp":{"type":"string","format":"date-time"},"holeStatus":{"type":"array","items":{"type":"integer","format":"int32"},"nullable":true},"holesStatus":{"type":"integer","format":"int32"}},"additionalProperties":false},"GlueDTO":{"required":["serialNumber","timestamp"],"type":"object","properties":{"id":{"type":"integer","format":"int32"},"serialNumber":{"type":"string","nullable":true},"timestamp":{"type":"string","format":"date-time"},"holeNumberGlued":{"type":"integer","format":"int32"},"gluedStatus":{"type":"integer","format":"int32"}},"additionalProperties":false},"InsertionDTO":{"required":["flat","pinHeight","serialNumber","timestamp"],"type":"object","properties":{"id":{"type":"integer","format":"int32"},"serialNumber":{"type":"string","nullable":true},"timestamp":{"type":"string","format":"date-time"},"pinHeight":{"type":"array","items":{"type":"number","format":"float"},"nullable":true},"flat":{"type":"array","items":{"type":"number","format":"float"},"nullable":true},"heightsStatus":{"type":"integer","format":"int32"}},"additionalProperties":false},"LaserMarkingDTO":{"required":["serialNumber","timestamp"],"type":"object","properties":{"id":{"type":"integer","format":"int32"},"serialNumber":{"type":"string","nullable":true},"timestamp":{"type":"string","format":"date-time"},"markingStatus":{"type":"integer","format":"int32"}},"additionalProperties":false},"PartAllProcessDataDTO":{"required":["serialNumber"],"type":"object","properties":{"id":{"type":"integer","format":"int32"},"serialNumber":{"type":"string","nullable":true},"insertions":{"type":"array","items":{"$ref":"#/components/schemas/InsertionDTO"},"nullable":true},"glues":{"type":"array","items":{"$ref":"#/components/schemas/GlueDTO"},"nullable":true},"rivetings":{"type":"array","items":{"$ref":"#/components/schemas/RivetingDTO"},"nullable":true},"cameraChecks":{"type":"array","items":{"$ref":"#/components/schemas/CameraCheckDTO"},"nullable":true},"laserMarkings":{"type":"array","items":{"$ref":"#/components/schemas/LaserMarkingDTO"},"nullable":true}},"additionalProperties":false},"PartsProcessDataDTO":{"required":["partsCount","partsProcessData"],"type":"object","properties":{"partsCount":{"type":"integer","format":"int32"},"partsProcessData":{"type":"array","items":{"$ref":"#/components/schemas/PartAllProcessDataDTO"},"nullable":true}},"additionalProperties":false},"RivetingDTO":{"required":["serialNumber","timestamp"],"type":"object","properties":{"id":{"type":"integer","format":"int32"},"serialNumber":{"type":"string","nullable":true},"timestamp":{"type":"string","format":"date-time"},"holeNumberRiveting":{"type":"integer","format":"int32"},"value1":{"type":"number","format":"float"},"value2":{"type":"number","format":"float"},"rivetingStatus":{"type":"integer","format":"int32"}},"additionalProperties":false},"StationStatisticsDTO":{"required":["averageCycleTime","notOkPartsCount","okPartsCount","partsCount","stationName"],"type":"object","properties":{"stationName":{"type":"string","nullable":true},"partsCount":{"type":"integer","format":"int32"},"okPartsCount":{"type":"integer","format":"int32"},"notOkPartsCount":{"type":"integer","format":"int32"},"averageCycleTime":{"type":"string","format":"date-span"}},"additionalProperties":false},"StationStatusDTO":{"required":["id","ipAddress","isAlive","name","status"],"type":"object","properties":{"id":{"type":"integer","format":"int32"},"name":{"type":"string","nullable":true},"ipAddress":{"type":"string","nullable":true},"isAlive":{"type":"boolean"},"status":{"$ref":"#/components/schemas/StationStatusEnum"}},"additionalProperties":false},"StationStatusEnum":{"enum":[0,1,2,3,4],"type":"integer","format":"int32"}}},"tags":[{"name":"PartProcessData"},{"name":"StationStatus"},{"name":"Statistics"}]}